// Copyright © 2017-2018 Atomic Software, LLC. All Rights Reserved.
// See LICENSE.md for full license information.

namespace Atom.Core.Networking.Messages.Structures.Local
{
    public sealed class PROTO_NC_LOCAL_REGISTERWORLD_REQ : NetworkMessage
    {
        public PROTO_NC_LOCAL_REGISTERWORLD_REQ(byte worldNo, string name, string ip, int port) : base(MessageProtocol.NC_LOCAL_REGISTERWORLD_REQ)
        {
            Write(worldNo);
            Write(name, 16);
            Write(ip, 16);
            Write(port);
        }
    }
}
